<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layout/Default}">
    <head>
        <title>Gestion de usuarios</title>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    </head>
    <body>
        <div layout:fragment="content">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        <button  type="button" data-toggle="modal" data-target="#modal-nuevo-usuario"  class="btn btn-primary btn-icon-split">                            
                            <span class="text">Agregar Usuario</span>
                        </button ></h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataTable" class="table table-bordered" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Nombre Usuario</th>
                                    <th>Fecha de registro</th>
                                    <th>Ultimo inicio de sesion</th>
                                    <th>Cargo</th>
                                    <th>Roles</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                        </table>
                    </div>        
                </div>                
            </div>
            <div class="modal fade" id="modal-nuevo-usuario" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Nuevo Usuario</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="save-form-usuario">
                                <div class="form-group">
                                    <label for="username" class="col-form-label">Nombre Usuario</label> 
                                    <input type="text" id="username" name="username" class="form-control" th:field="*{usuario.username}" placeholder="Nombre usuario" />
                                </div>
                                <div class="form-group">
                                    <label for="password" class="col-form-label">Contraseña</label> 
                                    <input type="password" id="password" name="password" class="form-control" th:field="*{usuario.password}" placeholder="Contraseña" />
                                </div>
                                <div class="form-group">
                                    <label for="nombre" class="col-form-label">Nombre Completo</label> 
                                    <input type="text" id="nombre" name="nombre" class="form-control" th:field="*{usuario.nombre}" placeholder="Nombre" />
                                </div>
                                <div class="form-group">
                                    <label for="apellido" class="col-form-label">Apellidos</label> 
                                    <input type="text" id="apellido" name="apellido" class="form-control" th:field="*{usuario.apellido}" placeholder="Apellidos" />
                                </div>
                                <div class="form-group">
                                    <label for="cargo" class="col-form-label">Cargo</label> 
                                    <select id="cargo" name="cargo" class="form-control" th:field="*{usuario.cargo}">
                                        <option value="Ingeniero">Ingeniero</option>
                                        <option value="Jefe">Jefe de departamento</option>
                                        <option value="Ventanilla">Personal de ventanilla</option>
                                    </select>  
                                </div>   
                                <div class="form-group">
                                    <label for="correo" class="col-form-label">Correo Electronico</label> 
                                    <input type="text" id="correo" name="correo" class="form-control" th:field="*{usuario.correo}" placeholder="Correo" />
                                </div>                                    
                                <div class="form-group">
                                    <label for="rolesSelect" class="col-form-label">Roles</label> 
                                    <select id="rolesSelect" name="rolesSelect" class="form-control roles-select-list" th:field="*{usuario.roles}" multiple="multiple">
                                        <option th:each="rol : ${roles}" th:value="${rol.id}" th:text="${rol.tipoRol}"></option>
                                    </select> 
                                </div>                      
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="nuevo-btn" type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="modal-editar-usuario" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Editar Usuario</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="update-form-usuario" >
                                <input type="hidden" id="idUsuario" name="idUsuario" />
                                <div class="form-group">
                                    <label for="usernameEdit" class="col-form-label">Nombre Usuario</label> 
                                    <input type="text" id="usernameEdit" name="usernameEdit" class="form-control" th:field="*{usuario.username}" placeholder="Nombre" />
                                </div>
                                 <div class="form-group">
                                    <label for="nombreEdit" class="col-form-label">Nombre Completo</label> 
                                    <input type="text" id="nombreEdit" name="nombreEdit" class="form-control" th:field="*{usuario.nombre}" placeholder="Nombre" />
                                </div>
                                <div class="form-group">
                                    <label for="apellidoEdit" class="col-form-label">Apellidos</label> 
                                    <input type="text" id="apellidoEdit" name="apellidoEdit" class="form-control" th:field="*{usuario.apellido}" placeholder="Apellidos" />
                                </div>
                                <div class="form-group">
                                    <label for="cargoEdit" class="col-form-label">Cargo</label> 
                                    <select id="cargoEdit" name="cargoEdit" class="form-control" th:field="*{usuario.cargo}">
                                        <option value="Ingeniero">Ingeniero</option>
                                        <option value="Jefe">Jefe de departamento</option>
                                        <option value="Ventanilla">Personal de ventanilla</option>
                                    </select>  
                                </div> 
                                <div class="form-group">
                                    <label for="correoEdit" class="col-form-label">Correo Electronico</label> 
                                    <input type="text" id="correoEdit" name="correoEdit" class="form-control" th:field="*{usuario.correo}" placeholder="Correo" />
                                </div>                                
                                <div class="form-group">
                                    <label for="rolesSelectEdit" class="col-form-label">Roles</label> 
                                    <select id="rolesSelectEdit" name="rolesSelectEdit" class="form-control roles-select-list" th:field="*{usuario.roles}" multiple="multiple">                                        
                                        <option value=""></option>
                                    </select> 
                                </div>                        
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="editar-btn" type="button" class="btn btn-primary">Actualizar</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="modal-cambiar-pass" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Cambiar contraseña</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="modalForm">
                                <div class="form-group col-md-12" id="usForm">
                                    <input type="hidden" id="nombreUsuario" name="nombreUsuario" class="form-control" />
                                    <div class="form-group">
                                        <label for="passAntigua" class="col-form-label">Contraseña Actual</label> 
                                        <input type="password" id="passAntigua" name="passAntigua" class="form-control"  placeholder="Contraseña actual" />
                                    </div>                                        
                                    <div class="form-group">
                                        <label for="passModificada" class="col-form-label">Contraseña Nueva</label> 
                                        <input type="password" id="passModificada" name="passModificada" class="form-control"  placeholder="Contraseña nueva" />
                                    </div>
                                    <div class="form-group">
                                        <label for="passModificadaConfirmacion" class="col-form-label">Confirmar Nueva contraseña</label> 
                                        <input type="password" id="passModificadaConfirmacion" name="passModificadaConfirmacion" class="form-control"  placeholder="Confirmar nueva Contraseña " />
                                    </div>                                        
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="btn-save-pass" type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <th:block layout:fragment="opt_js">
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/jquery.validate.min.js}"></script>            
            <script type="text/javascript" th:src="@{/paginas/crudUsuarios.js}"></script>
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/messages_es.js}"></script>         
        </th:block>
    </body>